<?php

namespace App\Controller;

use App\Repository\MerParaSubRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;
use App\Repository\Entity1Repository;

class IndexController extends AbstractController
{
    #[Route('/', name: 'app_index')]
    public function index(Entity1Repository $repo, MerParaSubRepository $subRepo): Response
    {
        // repo dummy
        $sm = $repo->getSchemaManager();

        $sub = $subRepo->findOne();
        dump($sub);
        dump($sub->getService());

        return $this->render('index/index.html.twig', [
            'controller_name' => 'IndexController',
            'schemaManager' => $sm
        ]);
    }
}
